%global momorel 1
%global kdever 3.5.8
%global kdebaserel 2m
%global md5sum_src0 7d072580453f264dfa326d4a8e670c06
%global patchver 5.5

Summary: audio file converter for Konqueror
Name: audiokonverter
Version: 5.6
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.kde-apps.org/content/show.php?content=12608
Group: Applications/Multimedia
%NoSource 0 http://www.kde-apps.org/CONTENT/content-files/12608-%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{patchver}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: faac
Requires: flac
Requires: lame
Requires: soundkonverter
Requires: vorbis-tools
BuildArch: noarch

%description
This is audiokonverter, a small utility to easily
convert from OGG, MP3, AAC, M4A, FLAC, WMA, RealAudio, Musepack,
Wavpack, WAV and movies to MP3, OGG, M4A, WAV and FLAC.

YOU NEED to make everything work:
mplayer, ffmpeg, lame, oggenc, oggdec, flac, faac, faad, mppdec, wvunpack

OPTIONAL are:
id3lib, vorbis-tools, metaflac, apetag

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/apps/konqueror/servicemenus
mkdir -p %{buildroot}%{_datadir}/mimelnk/audio

install -m 755 anytowav %{buildroot}%{_bindir}
install -m 755 audioconvert %{buildroot}%{_bindir}
install -m 755 movie2sound %{buildroot}%{_bindir}
install -m 755 oggdrop-lx %{buildroot}%{_bindir}

install -m 644 audioconvert.desktop %{buildroot}%{_datadir}/apps/konqueror/servicemenus

install -m 644 audiofrommovie.desktop %{buildroot}%{_datadir}/apps/konqueror/servicemenus

install -m 644 x-flv.desktop %{buildroot}%{_datadir}/mimelnk/audio

## conflicts with soundkonverter-0.3.6
# install -m 644 x-wavpack.desktop %{buildroot}%{_datadir}/mimelnk/audio

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc COPYING Changelog README
%{_bindir}/anytowav
%{_bindir}/audioconvert
%{_bindir}/movie2sound
%{_bindir}/oggdrop-lx
%{_datadir}/apps/konqueror/servicemenus/audioconvert.desktop
%{_datadir}/apps/konqueror/servicemenus/audiofrommovie.desktop
%{_datadir}/mimelnk/audio/x-flv.desktop
# conflicts with soundkonverter-0.3.6
# %%{_datadir}/mimelnk/audio/x-wavpack.desktop

%changelog
* Fri Jan 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.6-1m)
- version 5.6

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (5.5.1-1m)
- update to 5.5.1

* Thu Apr 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.5-2m)
- remove x-wavpack.desktop, it's conflicting with soundkonverter-0.3.2
- Requires: soundkonverter

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.5-1m)
- initial package for Momonga Linux
